summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/optimizations/skip_non_eq
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/optimizations/skip_non_eq')
-rwxr-xr-xtests/shell/testcases/optimizations/skip_non_eq12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/shell/testcases/optimizations/skip_non_eq b/tests/shell/testcases/optimizations/skip_non_eq
new file mode 100755
index 00000000..431ed0ad
--- /dev/null
+++ b/tests/shell/testcases/optimizations/skip_non_eq
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+RULESET="table inet x {
+ chain y {
+ iifname "eth0" oifname != "eth0" counter packets 0 bytes 0 accept
+ iifname "eth0" oifname "eth0" counter packets 0 bytes 0 accept
+ }
+}"
+
+$NFT -o -f - <<< $RULESET